package com.cyl.manager.marketing.service;

import com.cyl.manager.marketing.domain.WechatStock;

import java.util.List;

/**
 * 微信商家券Service接口
 * 
 * @author daixiande
 */
public interface IWechatStockService {
    /**
     * 查询微信商家券
     * 
     * @param id 微信商家券主键
     * @return 微信商家券
     */
    WechatStock selectWechatStockById(Long id);

    WechatStock selectWechatStockByStockId(String stockId);

    /**
     * 查询微信商家券列表
     * 
     * @param wechatStock 微信商家券
     * @return 微信商家券集合
     */
    List<WechatStock> selectWechatStockList(WechatStock wechatStock);

    /**
     * 新增微信商家券
     * 
     * @param wechatStock 微信商家券
     * @return 结果
     */
    int insertWechatStock(WechatStock wechatStock);

    /**
     * 修改微信商家券
     * 
     * @param wechatStock 微信商家券
     * @return 结果
     */
    int updateWechatStock(WechatStock wechatStock);

    /**
     * 批量删除微信商家券
     * 
     * @param ids 需要删除的微信商家券主键集合
     * @return 结果
     */
    int deleteWechatStockByIds(Long[] ids);

    /**
     * 删除微信商家券信息
     * 
     * @param id 微信商家券主键
     * @return 结果
     */
    int deleteWechatStockById(Long id);

    String getStockTitleByIds(List<String> list);
}
